#
# spec file for package lhasa
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lhasa
%define lname	liblhasa0
Version:        0.4.0
Release:        1.6
Summary:        Program to unpack LHARC archives
License:        ISC
Group:          Productivity/Archiving/Compression
URL:            http://fragglet.github.com/lhasa/

#Git-Clone:	git://github.com/fragglet/lhasa
Source:         http://www.soulsphere.org/projects/lhasa/lhasa-%version.tar.gz
Source2:        http://www.soulsphere.org/projects/lhasa/lhasa-%version.tar.gz.asc
Source3:        %name.keyring
BuildRequires:  pkg-config
BuildRequires:  xz

%description
Lhasa is a replacement for the Unix LHA tool, for decompressing
".lzh" (LHA/LHarc) and ".lzs" (LArc) archives.

%package -n %lname
Summary:        A decompression library for the LHARC data format
Group:          System/Libraries

%description -n %lname
liblhasa is the backend to the Lhasa tool, offering decompressing for
".lzh" (LHA/LHarc) and ".lzs" (LArc) archives.

%package devel
Summary:        Development files for liblhasa, a LHARC decompression library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
liblhasa is the backend to the Lhasa tool, offering decompressing for
".lzh" (LHA/LHarc) and ".lzs" (LArc) archives.

This package contains the development headers for the library found
in %lname.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files
%_bindir/lha
%_mandir/man1/lha.1*

%files -n %lname
%_libdir/liblhasa.so.0*

%files devel
%_includedir/liblhasa-1.0
%_libdir/liblhasa.so
%_libdir/pkgconfig/liblhasa.pc

%changelog
* Sun May 14 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.4.0
  * A verbose mode was added to the list output that shows the
    full file timestamp.
  * Support for archives generated by the DOS LHARK tool was
    added.
* Mon Apr  4 2016 kstreitova@suse.com
- Update to new upstream release 0.3.1
  * This release fixes an integer underflow vulnerability in the
    code for doing LZH level 3 header decodes (TALOS-CAN-0095)
    [bnc#973790] [CVE-2016-2347]
* Sat Nov  7 2015 jengelh@inai.de
- Update to new upstream release 0.3.0
  * PMarc -pm1- archives that contain truncated compressed data (the
  decompressed length is longer than what can be read from the
  compressed data) now decompress as intended. Certain archives in
  the wild make the assumption that this can be done.
  * LArc -lz5- archives that make use of the initial history buffer
  now decompress correctly.
  * The tests no longer use predictable temporary paths.
* Tue Sep 23 2014 jengelh@inai.de
- Drop gpg-offline build-time requirement; this is now handled by
  the local source validator
* Wed Aug  7 2013 jengelh@inai.de
- Update to new upstream release 0.2.0
  * Decompression of archives using the -lhx- file format supported
  by unlha32.dll is now supported.
  * The -p (print to stdout) command line option is now supported.
  * A bug where archives read from pipes (e.g. stdin) were not
  extracted beyond the first file in the archive was fixed.
  * Output when using the -w (extract directory) option now correctly
  matches the output of Unix lha.
* Thu Mar 28 2013 jengelh@inai.de
- Update to new upstream release 0.1.0
  * This version adds better support for OS-9 lzh archives and fixes
  several security vulnerabilities related to handling of symbolic
  links.
- Remove 0001-build-support-for-automake-1.13.patch
  (merged upstream)
* Thu Mar  7 2013 jengelh@inai.de
- Add 0001-build-support-for-automake-1.13.patch
* Thu Feb 28 2013 jengelh@inai.de
- Remove redundant call to autoreconf
* Sat Jun  2 2012 jengelh@inai.de
- Update to new upstream release 0.0.7
  * This release adds support for extraction of Unix symbolic links
  and parsing of Unix-level 0 extended header areas. A decompressor
  has been added for the "old" PMarc compression algorithm (-pm1-).
* Sun May 13 2012 jengelh@inai.de
- Initial package for build.opensuse.org
